#include<bits/stdc++.h>
typedef long long ll;
using namespace std;


int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int T;
    cin >> T;
    while(T--){
        int N,M;
        cin >> N >> M;
        if(N != M){
            cout << -1 << '\n';
        }
        else{
            vector<int> red(N,0);
            for(int i = 1;i <= N;i++){
                red[N-i] = 1;
                for(int j = 0;j<N;j++){
                    cout << red[j] << ' ';
                }
                cout << '\n';
            }
        }
    }
    return 0;
}